

SELECT * FROM sys.dm_tran_locks




BEGIN TRANSACTION
PRINT @@SPID
INSERT INTO Production.Culture
(CultureID, Name)
VALUES ('gr', 'German')
SELECT * 
  INTO dbo.SaveLocks
  FROM sys.dm_tran_locks
COMMIT TRANSACTION


SELECT name, object_id FROM sys.Objects 
WHERE name = 'Culture'


SELECT * FROM dbo.SaveLocks 
WHERE request_session_id = 54 
AND resource_associated_entity_id = 613577224


SELECT * FROM dbo.SaveLocks 
WHERE request_owner_id = 604076 
ORDER BY resource_type, request_mode



SELECT @@LOCK_TIMEOUT



--in one query window:
BEGIN TRANSACTION
INSERT INTO Production.Culture
(CultureID, Name)
VALUES ('bz', 'Brazilian')


--in second query window
BEGIN TRANSACTION
DELETE FROM Production.Culture
WHERE CultureID = 'bz'


--still in second query window
SET LOCK_TIMEOUT 1000
BEGIN TRANSACTION
DELETE FROM Production.Culture 
WHERE CultureID = 'bz'


--back in first query window
ROLLBACK TRANSACTION






-- in one query window
BEGIN TRANSACTION
INSERT INTO Production.Culture
(CultureID, Name)
VALUES ('bz', 'Brazilian')


--in a second query window
BEGIN TRANSACTION
SELECT * FROM Production.Culture 
WHERE CultureID = 'bz'


--still in the second query window
SET TRANSACTION ISOLATION LEVEL READ UNCOMMITTED
BEGIN TRANSACTION
SELECT * FROM Production.Culture 
WHERE CultureID = 'bz'


--back in the first query window
ROLLBACK TRANSACTION






SELECT P.Name AS Product, L.Name AS [Inventory Location],
SUM(PI.Quantity)AS [Qty Available]
FROM Production.Product AS P
JOIN Production.ProductInventory AS PI ON P.ProductID = PI.ProductID
JOIN Production.Location AS L ON PI.LocationID = L.LocationID
GROUP BY P.Name, L.Name
ORDER BY P.Name





--exercise SQL
SELECT WorkOrderID, P.Name AS Product, OrderQty, DueDate
FROM Production.WorkOrder W 
    JOIN Production.Product P ON W.ProductID = P.ProductID
WHERE P.ProductSubcategoryID IN (1, 2, 3)
ORDER BY P.Name, DueDate
















