﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.SqlServer.Management.Common;
using Microsoft.SqlServer.Management.Smo;

namespace ServerManager
{
	public partial class Configuration : Form
	{
		private Server srv;

		public Configuration()
		{
			InitializeComponent();
		}

		private void buttonSet_Click(object sender, EventArgs e)
		{
			ConfigProperty cp = srv.Configuration.IsSqlClrEnabled;
			cp.ConfigValue = Convert.ToInt32(textBoxRunValue.Text);
			srv.Configuration.Alter();
			MessageBox.Show("Change saved");
		}

		private void Configuration_Load(object sender, EventArgs e)
		{
			srv = new Server(@"localhost\sql2008");
			ConfigProperty cp = srv.Configuration.IsSqlClrEnabled;
			labelDescription.Text = cp.Description;
			labelDisplayName.Text = cp.DisplayName;
			labelIsDynamic.Text = cp.IsDynamic.ToString();
			labelMaximum.Text = cp.Maximum.ToString();
			labelMinimum.Text = cp.Minimum.ToString();
			textBoxRunValue.Text = cp.RunValue.ToString();
		}
	}
}
