﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.SqlServer.Management.Common;
using Microsoft.SqlServer.Management.Smo;

namespace ServerManager
{
	public partial class CreateTable : Form
	{
		public CreateTable()
		{
			InitializeComponent();
		}

		private void buttonCreate_Click(object sender, EventArgs e)
		{
			// Connect to the server
			Server srv = new Server();
			// Define the database
			Database db = new Database(srv, textBoxDatabase.Text);
			// Create the database
			db.Create();
			// Define the table
			Table tb = new Table(db, textBoxTable.Text);
			// Add columns to the table
			Column c1 = new Column(tb, "ID", DataType.Int);
			c1.Identity = true;
			tb.Columns.Add(c1);
			Column c2 = new Column(tb, "Name", DataType.NVarChar(50));
			tb.Columns.Add(c2);
			// Create the table
			tb.Create();
			MessageBox.Show("Done");
		}
	}
}
