
INSERT INTO Production.Partslist(PartsList)
VALUES(N'<?xml version="1.0" ?>
<PartsList Name="Assembly A">
	<Part Quantity="2" Number="KS17">Bolt</Part>
	<Part Quantity="4" Number="MM4">Nut</Part>
</PartsList>')
INSERT INTO Production.Partslist(PartsList)
VALUES(N'<?xml version="1.0" ?>
<PartsList Name="Assembly B">
	<Part Quantity="1" Number="QR82">Electronic Package</Part>
</PartsList>')
INSERT INTO Production.Partslist(PartsList)
VALUES(N'<?xml version="1.0" ?>
<PartsList Name="Assembly C">
	<Part Quantity="7" Number="X22">Spring</Part>
	<Part Quantity="4" Number="KM19">Grommet</Part>
   <Part Quantity="6" Number="LT13">Lever</Part>
</PartsList>')




SELECT PartsList.value('(/PartsList/@Name)[1]',
 'varchar(20)' )
FROM Production.PartsList



SELECT PartsList.query('(/PartsList/Part)')
FROM Production.PartsList




-- Insert an attribute
UPDATE Production.PartsList
SET PartsList.modify('           
insert attribute Version {"2" }           
into (/PartsList)[1] ')
WHERE DocumentID = 1
-- Insert an element
UPDATE Production.PartsList
SET PartsList.modify('           
insert <Part Quantity="3" Number="PS99">Shaft</Part>           
after (/PartsList/Part)[1] ')
WHERE DocumentID = 2
-- View the results
SELECT * FROM Production.PartsList




-- Delete an attribute
UPDATE Production.PartsList
SET PartsList.modify('           
delete (/PartsList/@Version)')
WHERE DocumentID = 1
-- Delete an element
UPDATE Production.PartsList
SET PartsList.modify('           
delete (/PartsList/Part[2])')
WHERE DocumentID = 2
-- View the results
SELECT * FROM Production.PartsList




UPDATE Production.PartsList
SET PartsList.modify('           
replace value of (/PartsList/@Name)[1]
with "Assembly A1" ')
WHERE DocumentID = 1
-- View the results
SELECT * FROM Production.PartsList




DECLARE @idoc int
DECLARE @doc varchar(2000)
SET @doc ='
<?xml version="1.0" ?>
<CollegeRecruiting>
  <College>
    <Name>CalTech</Name>
    <InterviewDate>May 4, 2006</InterviewDate>
    <Interviews>57</Interviews>
    <Location>Pasadena</Location>
  </College>
  <College>
    <Name>Northeaster</Name>
    <InterviewDate>March 22, 2006</InterviewDate>
    <Interviews>182</Interviews>
    <Location>Boston</Location>
  </College>
  <College>
    <Name>RPI</Name>
    <InterviewDate>April 17, 2006</InterviewDate>
    <Interviews>38</Interviews>
    <Location>Troy</Location>
  </College>
  <College>
    <Name>WSU</Name>
    <InterviewDate>February 9, 2006</InterviewDate>
    <Interviews>138</Interviews>
    <Location>Pullman</Location>
  </College>
</CollegeRecruiting> '
EXEC sp_xml_preparedocument @idoc OUTPUT, @doc
SELECT * 
FROM OPENXML(@iDoc, '/CollegeRecruiting/College', 2) 
  WITH (Name varchar(20), InterviewDate datetime, 
        Interviews int, Location varchar(20))
EXEC sp_xml_removedocument @idoc




SELECT LocationID, Name 
FROM Production.Location
WHERE LocationID >= 40
FOR XML RAW


SELECT LocationID, Name 
FROM Production.Location
WHERE LocationID >= 40
FOR XML RAW('Location'), ELEMENTS, ROOT('Locations')



SELECT POH.PurchaseOrderID, POH.OrderDate,
POD.OrderQty, POD.LineTotal
FROM Purchasing.PurchaseOrderHeader AS POH
INNER JOIN Purchasing.PurchaseOrderDetail AS POD
ON POH.PurchaseOrderID = POD.PurchaseOrderID
WHERE POH.PurchaseOrderID < 11
FOR XML AUTO, ROOT('PO')



SELECT LocationID AS [@LocationID], Name,
CostRate AS [Location/CostRate],
Availability AS [Location/Availability]
FROM Production.Location
WHERE LocationID >= 40
FOR XML PATH



CREATE PROC Production.LocationNames
AS
SELECT LocationID, Name
FROM Production.Location
ORDER BY Name


