DROP PROC StringToTable
GO
DROP PROC GetLength
GO
DROP FUNCTION ProperCase
GO
DROP ASSEMBLY Strings
GO
CREATE ASSEMBLY Strings
FROM 'C:\Strings\Strings\bin\Debug\Strings.dll'
GO
CREATE FUNCTION ProperCase(@RawString nvarchar(100))
RETURNS nvarchar(100)
AS EXTERNAL NAME Strings.[Strings.Proper].ProperCase
GO
CREATE PROC GetLength
  @InString nvarchar(100),
  @Length int OUTPUT
AS EXTERNAL NAME Strings.[Strings.StringLen].GetLength
GO
CREATE PROC StringToTable
  @InString nvarchar(100)
AS EXTERNAL NAME Strings.[Strings.StringTable].StringToTable
GO

SELECT dbo.ProperCase('this is a string')

EXEC StringToTable @InString='The quick brown fox'