
USE AdventureWorks2008
GO


SELECT * FROM Purchasing.Vendor


SELECT Name, CreditRating 
FROM Purchasing.Vendor


SELECT Name, AccountNumber AS AcctNo 
FROM Purchasing.Vendor


SELECT PurchaseOrderID,
(TaxAmt + Freight) AS Extras
FROM Purchasing.PurchaseOrderHeader


SELECT V.BusinessEntityID, V.Name, 
P.PurchaseOrderID, P.OrderDate
FROM Purchasing.Vendor V
INNER JOIN Purchasing.PurchaseOrderHeader P
ON V.BusinessEntityID = P.VendorID


SELECT V. BusinessEntityID, V.Name, 
P.PurchaseOrderID, P.OrderDate
FROM Purchasing.Vendor V
LEFT OUTER JOIN Purchasing.PurchaseOrderHeader P
ON V. BusinessEntityID = P.VendorID



SELECT PD.ProductID, PD.OrderQty, V.Name
FROM Purchasing.Vendor V
INNER JOIN Purchasing.PurchaseOrderHeader PH
ON V.BusinessEntityID = PH.VendorID
INNER JOIN Purchasing.PurchaseOrderDetail PD
ON PH.PurchaseOrderID = PD.PurchaseOrderID


SELECT *
FROM Purchasing.Vendor
WHERE BusinessEntityID = 1522


SELECT *
FROM Purchasing.Vendor
WHERE Name LIKE '%cycle%'



SELECT PD.ProductID, PD.OrderQty
FROM Purchasing.PurchaseOrderHeader PH
INNER JOIN Purchasing.PurchaseOrderDetail PD
ON PH.PurchaseOrderID = PD.PurchaseOrderID
WHERE PH.OrderDate = '2004-05-03'


SELECT TOP 15 *
FROM Purchasing.PurchaseOrderDetail
ORDER BY LineTotal DESC


SELECT SUM(OrderQty)
FROM Purchasing.PurchaseOrderDetail


SELECT V.Name, MIN(PH.OrderDate)
FROM Purchasing.Vendor V
INNER JOIN Purchasing.PurchaseOrderHeader PH
ON V.BusinessEntityID = PH.VendorID
GROUP BY V.Name



SELECT ProductID, SUM(LineTotal) 
FROM Purchasing.PurchaseOrderDetail
GROUP BY ProductID
HAVING SUM(LineTotal) > 10000


