

SELECT p.FirstName + ' ' + p.LastName AS FullName,
e.EmailAddress, ph.PhoneNumber
INTO Person.NewContact
FROM Person.Person p
INNER JOIN Person.EmailAddress e
ON p.BusinessEntityID = e.BusinessEntityID
INNER JOIN Person.PersonPhone ph
ON p.BusinessEntityID = ph.BusinessEntityID



SELECT * FROM Person.NewContact

SELECT * 
INTO Person.TestContact
FROM Person.Person


SELECT * 
FROM Person.TestContact


DELETE Person.TestContact
WHERE FirstName = 'Anna'


DELETE Person.TestContact
WHERE LastName = 'Cook'



DELETE P
FROM Person.Person AS P
INNER JOIN Person.BusinessEntity AS BE 
ON P.BusinessEntityID = BE.BusinessEntityID
INNER JOIN Person.BusinessEntityAddress AS BEA 
ON BE. BusinessEntityID = BEA. BusinessEntityID
INNER JOIN Person.Address AS A 
ON BEA.AddressID = A.AddressID
INNER JOIN Person.StateProvince SP
ON A.StateProvinceID = SP.StateProvinceID
WHERE SP.StateProvinceCode = 'CA'



DELETE C
FROM Person.TestContact AS C
INNER JOIN Person.BusinessEntityAddress AS I 
ON C.BusinessEntityID = I.BusinessEntityID
INNER JOIN Person.Address AS A 
ON I.AddressID = A.AddressID
INNER JOIN Person.StateProvince SP
ON A.StateProvinceID = SP.StateProvinceID
WHERE SP.StateProvinceCode = 'CA'



DELETE Person.TestContact
OUTPUT DELETED.*
WHERE LastName = 'Xie'
AND FirstName LIKE 'B%'


DELETE Person.TestContact
OUTPUT DELETED.*
WHERE LastName = 'Wright'



INSERT INTO Production.Culture
VALUES ('it', 'Italian', GETDATE())



INSERT INTO Production.Culture
VALUES ('hu', 'Hungarian', GETDATE())



SELECT * FROM Production.Culture



INSERT INTO Production.Location
(Name)
VALUES ('Stamping')



INSERT INTO Production.Location
(Name, CostRate, Availability)
VALUES ('ScrapYard', 7.48, 50)


SELECT * FROM Production.Location
WHERE Name = 'ScrapYard'


SET IDENTITY_INSERT Production. Location ON
GO
INSERT INTO Production.Location
(LocationID, Name, CostRate, Availability)
VALUES (99, 'Handgrip Installation', 14.50, 180)
GO
SET IDENTITY_INSERT Production.Location OFF
GO



INSERT INTO Person.TestContact 
(BusinessEntityID, PersonType, NameStyle, Title, FirstName, MiddleName,
LastName, Suffix, EmailPromotion, AdditionalContactInfo, Demographics,
rowguid, ModifiedDate)
SELECT TOP (10) *
FROM Person.Person
ORDER BY BusinessEntityID



INSERT INTO Person.TestContact 
(BusinessEntityID, PersonType, NameStyle, Title, 
FirstName, MiddleName, LastName, Suffix, 
EmailPromotion, AdditionalContactInfo, 
Demographics, rowguid, ModifiedDate)
SELECT *
FROM Person.Person
WHERE LastName > 'Tubbs'



INSERT INTO Person.TestContact
(BusinessEntityID, PersonType, NameStyle, Title, 
FirstName, MiddleName, LastName, Suffix, 
EmailPromotion, AdditionalContactInfo, 
Demographics, rowguid, ModifiedDate)
OUTPUT INSERTED.*
SELECT *
FROM Person.Person
WHERE LastName LIKE 'Mac%'


SELECT * FROM Production.Culture



UPDATE Production.Culture
SET ModifiedDate = GETDATE()


SELECT * FROM Production.Culture



UPDATE Production.Culture
SET CultureID = 'Ru'
WHERE CultureID = 'Hu'


SELECT * FROM Production.Culture


UPDATE Production.Culture
SET CultureID = 'Ru', Name = 'Russian'
WHERE Name = 'Hungarian'


SELECT * FROM Production.Culture


SELECT DocumentNode, DocumentSummary
FROM Production.Document


UPDATE Production.Document
SET DocumentSummary .WRITE(N'bike',47,7)
WHERE DocumentNode = 0x7B40


SELECT DocumentNode, DocumentSummary
FROM Production.Document


UPDATE Production.Document
SET DocumentSummary .WRITE(N'Broken',1,4)
WHERE DocumentNode = 0x7C20


SELECT DocumentNode, DocumentSummary
FROM Production.Document



UPDATE Person.TestContact 
SET EmailPromotion = EmailPromotion + 1
OUTPUT DELETED.EmailPromotion AS OldPromotion,
INSERTED.EmailPromotion AS NewPromotion





MERGE Person.TestContact AS target
USING Person.Person AS source
ON target.BusinessEntityID = source.BusinessEntityID
WHEN MATCHED THEN UPDATE
	SET target.FirstName = source.FirstName,
	target.LastName = source.LastName,
	target.Suffix = source.Suffix
WHEN NOT MATCHED THEN INSERT (BusinessEntityID,
	PersonType, NameStyle, Title, FirstName, MiddleName,
	LastName, Suffix, EmailPromotion, AdditionalContactInfo,
	Demographics, rowguid, ModifiedDate)
	VALUES (source.BusinessEntityID, source.PersonType, 
	source.NameStyle, source.Title, source.FirstName, 
	source.MiddleName, source.LastName, source.Suffix, 
	source.EmailPromotion, source.AdditionalContactInfo,
	source.Demographics, source.rowguid, source.ModifiedDate)
WHEN NOT MATCHED BY SOURCE
	THEN DELETE;




MERGE Production.ProductInventory AS target
USING (SELECT ProductID, SUM(OrderQty) AS OrderQty
FROM Sales.SalesOrderDetail AS sod
INNER JOIN Sales.SalesOrderHeader AS soh
ON sod.SalesOrderID = soh.SalesOrderID 
AND soh.OrderDate = '2/12/2002'
GROUP BY ProductID) AS source
ON (target.ProductID = source.ProductID)
WHEN MATCHED AND target.Quantity - source.OrderQty <= 0
    THEN DELETE
WHEN MATCHED 
    THEN UPDATE SET target.Quantity = target.Quantity - source.OrderQty, 
    target.ModifiedDate = GETDATE()
OUTPUT $action, Inserted.ProductID, Inserted.Quantity, Inserted.ModifiedDate, 
	Deleted.ProductID, Deleted.Quantity, Deleted.ModifiedDate;


	

	

























