﻿using System;
using System.Data.Sql;
using Microsoft.SqlServer.Server;

namespace Financials
{
	public class SalesTaxProc
	{
		[SqlProcedure()]
		public static int CalculateTotal(double Taxable,
			double TaxFree, out double Tax, out double Total)
		{
			// Assign default outputs
			Tax = 0;
			Total = 0;

			// Check for bad data
			if (Taxable < 0)
				return 0;
			if (TaxFree < 0)
				return 0;

			// Calculate tax and total
			Tax = Taxable * 0.085;
			Total = Taxable + TaxFree + Tax;
			return 1;
		}
	}
}
