﻿using System;
using System.Data;
using System.Data.Sql;
using System.Data.SqlClient;
using Microsoft.SqlServer.Server;
using System.Data.SqlTypes;

namespace Financials
{
	public class TaxTable2
	{
		[SqlProcedure()]
		public static void GetTaxTable2(double TaxRate)
		{
			// Get the pipe back to the hosting database
			SqlPipe sp = SqlContext.Pipe;

			// Define the column schema
			SqlMetaData[] colschema =
				new SqlMetaData[]{
                new SqlMetaData(
                "BaseAmount", SqlDbType.Float),
                new SqlMetaData(
                "TaxAmount", SqlDbType.Float)};

			// Construct and send ten records
			SqlDataRecord newrec =
				new SqlDataRecord(colschema);
			newrec.SetSqlDouble(0, 1);
			newrec.SetSqlDouble(1, TaxRate);
			sp.SendResultsStart(newrec);
			for (int i = 1; i <= 10; i++)
			{
				newrec.SetSqlDouble(0, i);
				newrec.SetSqlDouble(1, TaxRate * i);
				sp.SendResultsRow(newrec);
			}
			// Tell the server we're all done
			sp.SendResultsEnd();
		}
	}
}
