﻿using System;
using System.Data.Sql;
using Microsoft.SqlServer.Server;

namespace Financials
{
	public class Trigger
	{
		public static void TriggerStub()
		{
			// Get the pipe back to the hosting database
			SqlPipe sp = SqlContext.Pipe;
			// Get the trigger context
			SqlTriggerContext trigCon =
				SqlContext.TriggerContext;
			switch (trigCon.TriggerAction)
			{
				case TriggerAction.Delete:
					sp.Send("Triggered by DELETE");
					break;
				case TriggerAction.Insert:
					sp.Send("Triggered by INSERT");
					break;
				case TriggerAction.Update:
					sp.Send("Triggered by UPDATE");
					break;
			}
		}
	}
}
